/*********************************************************************
 *** error.c
 *** Copyright (c) 2001,2003 by Markus Winand <mws@fatalmind.com>
 *** $Id: error.c,v 1.6 2003/01/01 17:15:04 mws Exp $
 ********************************************************************/

#include <string.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

#include "hatimerun.h"

void error(char *fmtstr, ...) {
	va_list ap;

	if (! async) {
		va_start(ap, fmtstr);

		fprintf(stderr, "%s: ", cmdname);
		vfprintf(stderr, fmtstr, ap);
	}

	exit (FAIL_EXITCODE);
}

